QGIS Application - Bug report #4664
Above/below labels for vertical up-to-down line swapped
2011-12-17 02:52 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Labelling

Affected QGIS version: Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 14556
Description

| can't find the commit that fixed this in master but the bug is about Above/Below not properly becoming Right/Left for a top-down vertical
line.

It works fine in master. | believe commit:627d25c65f7438541243b9974027f4ceb00d2cc9 was pushed close to the commit actually fixing
the issue.

It would be worth following ticket 3643 and testing if one of those patches would fix this.
The whole thing, once found, should be back-ported to 1.7 branch. Ideally regress-tested.

Martin: I'm assigning to you as you were most likely the one fixing it in master so you may have a better idea of which commit did it.
Thanks!

History

#1 - 2011-12-17 03:10 PM - Sandro Santilli

See also this thread:
http://lists.osgeo.org/pipermail/ggis-developer/2011-October/016366.html

Continuing here:

http://lists.osgeo.org/pipermail/ggis-developer/2011-November/016564.html

#2 - 2011-12-19 01:59 PM - Sandro Santilli

Ok,found the commit fixing this:
€37b63a83f9d72223f375a490c6555f0c9c2a015

That's the one I'd like to see in 1.7.4 %)

#3 - 2011-12-19 02:05 PM - Sandro Santilli

| just double-checked and | can double-confirm commit:c37b63a83f9d72223f375a490c6555f0c9c2a015 is the one

#4 - 2011-12-19 03:33 PM - Werner Macho
- Resolution set to fixed
- Status changed from Open to Closed
http://lists.osgeo.org/pipermail/qgis-developer/2011-October/016366.html
http://lists.osgeo.org/pipermail/qgis-developer/2011-November/016564.html

picked it into release-1_7 for upcoming 1.7.4
